HMWJGraphInternal::State Struct Reference

Internal: the state of a HMWJGraph. More...

## Public Member Functions

| State ()
| constructor More...
shared_ptr< Frame > | findFrame (int type, int lId) const
| tries to find the lId the frame of a given type More...
FrameFormat const & | getFrameFormat (int id) const
| returns the frame format corresponding to an id More...
bool | getColor (int id, MWAWColor &col)
| returns a color correspond to an id More...
bool | getPatternPercent (int id, float &percent)
| returns a pattern correspond to an id More...
void | initColors ()
| init the color list More...
void | initPatterns ()
| init the pattenr list More...

## Static Public Member Functions

static MWAWColor | getColor (MWAWColor col, float pattern)
| returns a color corresponding to a pattern and a color More...

## Public Attributes

std::vector< shared_ptr< Frame > > | m_framesList
| the list of frames More...
std::map< long, int > | m_framesMap
| a map zId->frame pos in frames list More...
std::vector< FrameFormat > | m_frameFormatsList
| the list of frame format More...
int | m_numPages
std::vector< MWAWColor > | m_colorList
| a list colorId -> color More...
std::vector< float > | m_patternPercentList
| a list patternId -> percent More...

## Detailed Description

Internal: the state of a HMWJGraph.

## Constructor & Destructor Documentation

HMWJGraphInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

shared_ptr<Frame> HMWJGraphInternal::State::findFrame | ( | int | type,
|  | int | lId
| ) |  | const

inline

tries to find the lId the frame of a given type

bool HMWJGraphInternal::State::getColor | ( | int | id,
|  | MWAWColor & | col
| ) |  |

inline

returns a color correspond to an id

static MWAWColor HMWJGraphInternal::State::getColor | ( | MWAWColor | col,
|  | float | pattern
| ) |  |

inline static

returns a color corresponding to a pattern and a color

FrameFormat const& HMWJGraphInternal::State::getFrameFormat | ( | int | id | ) | const

inline

returns the frame format corresponding to an id

bool HMWJGraphInternal::State::getPatternPercent | ( | int | id,
|  | float & | percent
| ) |  |

inline

returns a pattern correspond to an id

void HMWJGraphInternal::State::initColors | ( |  | ) |

init the color list

Referenced by getColor().

void HMWJGraphInternal::State::initPatterns | ( |  | ) |

init the pattenr list

Referenced by getPatternPercent().

## Member Data Documentation

std::vector<MWAWColor> HMWJGraphInternal::State::m_colorList

a list colorId -> color

Referenced by getColor(), and initColors().

std::vector<FrameFormat> HMWJGraphInternal::State::m_frameFormatsList

the list of frame format

Referenced by getFrameFormat().

std::vector<shared_ptr<Frame> > HMWJGraphInternal::State::m_framesList

the list of frames

Referenced by findFrame().

std::map<long, int> HMWJGraphInternal::State::m_framesMap

a map zId->frame pos in frames list

int HMWJGraphInternal::State::m_numPages

std::vector<float> HMWJGraphInternal::State::m_patternPercentList

a list patternId -> percent

Referenced by getPatternPercent(), and initPatterns().

The documentation for this struct was generated from the following file:

- HMWJGraph.cxx